Bug 963800 - schema regression: error in edit makes divert.routing-name element required
schema regression: error in edit makes divert.routing-name element required
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity low
: ER7
: EAP 6.1.1
Assigned To: Clebert Suconic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 11:01 EDT by Francisco Borges
Modified: 2013-09-16 16:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:30:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1024 Major Closed InVM connection failed and no failover 2014-07-15 04:54:52 EDT

  None (edit)
Description Francisco Borges 2013-05-16 11:01:40 EDT
Description of problem:

An edit error at the hornetq-configuration.xsd makes the server fail when parsing (previously) valid configuration.

See JIRA https://issues.jboss.org/browse/HORNETQ-1204 for commits, test and fix.
Comment 1 Francisco Borges 2013-05-16 11:02:54 EDT
Case is fixed on HQ master and 2.3.x branches. Test also available.
Comment 3 Miroslav Novak 2013-08-22 09:40:20 EDT
BZ is in incorrect state. Fix for this issue is present in EAP 6.1.1.ER7(HQ 2.3.5.Final) 

Verified using provided test in EAP 6.1.1.ER7. Great work, Francisco!

Note You need to log in before you can comment on or make changes to this bug.